package it.micegroup.gestioneferie.configurazionepf.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;
import it.micegroup.voila2runtime.filter.StringFilter;

public class DpercAutPianFerieHCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 2997153128L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdPercAutPianFerieH;

	private LongFilter fkConfigPaPianoFerie;

	private LongFilter fkPercorso;

	private LongFilter fkPercAutPianFeriePk;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataFineValidita;

	private LocalDateFilter dataInizioValidita;

	private StringFilter utenteUltimaModifica;

	private StringFilter flagEliminato;

	// FILTER FATHER
	private String theDpercAutPianFeriePkObjectKey;
	private String theDconfigPaPianiFerieObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdPercAutPianFerieH
	 */
	public LongFilter getSequIdPercAutPianFerieH() {
		return this.sequIdPercAutPianFerieH;
	}

	/**
	 * @param sequIdPercAutPianFerieH to set
	 */
	public void setSequIdPercAutPianFerieH(LongFilter sequIdPercAutPianFerieH) {
		this.sequIdPercAutPianFerieH = sequIdPercAutPianFerieH;
	}

	/**
	 * @return the fkConfigPaPianoFerie
	 */
	public LongFilter getFkConfigPaPianoFerie() {
		return this.fkConfigPaPianoFerie;
	}

	/**
	 * @param fkConfigPaPianoFerie to set
	 */
	public void setFkConfigPaPianoFerie(LongFilter fkConfigPaPianoFerie) {
		this.fkConfigPaPianoFerie = fkConfigPaPianoFerie;
	}

	/**
	 * @return the fkPercorso
	 */
	public LongFilter getFkPercorso() {
		return this.fkPercorso;
	}

	/**
	 * @param fkPercorso to set
	 */
	public void setFkPercorso(LongFilter fkPercorso) {
		this.fkPercorso = fkPercorso;
	}

	/**
	 * @return the fkPercAutPianFeriePk
	 */
	public LongFilter getFkPercAutPianFeriePk() {
		return this.fkPercAutPianFeriePk;
	}

	/**
	 * @param fkPercAutPianFeriePk to set
	 */
	public void setFkPercAutPianFeriePk(LongFilter fkPercAutPianFeriePk) {
		this.fkPercAutPianFeriePk = fkPercAutPianFeriePk;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataFineValidita
	 */
	public DateFilter getDataFineValidita() {
		return this.dataFineValidita;
	}

	/**
	 * @param dataFineValidita to set
	 */
	public void setDataFineValidita(DateFilter dataFineValidita) {
		this.dataFineValidita = dataFineValidita;
	}

	/**
	 * @return the dataInizioValidita
	 */
	public DateFilter getDataInizioValidita() {
		return this.dataInizioValidita;
	}

	/**
	 * @param dataInizioValidita to set
	 */
	public void setDataInizioValidita(DateFilter dataInizioValidita) {
		this.dataInizioValidita = dataInizioValidita;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	// GETTER/SETTER FATHER

	public String getTheDpercAutPianFeriePkObjectKey() {
		return theDpercAutPianFeriePkObjectKey;
	}

	public void setTheDpercAutPianFeriePkObjectKey(String theDpercAutPianFeriePkObjectKey) {
		this.theDpercAutPianFeriePkObjectKey = theDpercAutPianFeriePkObjectKey;
	}

	public String getTheDconfigPaPianiFerieObjectKey() {
		return theDconfigPaPianiFerieObjectKey;
	}

	public void setTheDconfigPaPianiFerieObjectKey(String theDconfigPaPianiFerieObjectKey) {
		this.theDconfigPaPianiFerieObjectKey = theDconfigPaPianiFerieObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
